Hinweise zum Import von: / Hints for importing:
STEP, STL, AutoCAD-DXF, NASTRAN, ABAQUS, ANSYS, COSMOS, Z88

Moderatoren: ccad, mz15, auroraIco, Lehrstuhl

vom VictorJota
#1880
I've a problem with import file .step or .stp. When I try it the program show me ¡error GEOCON!. I can import files .stl. I've installed all the dependency. It's with Ubuntu 12.04.2 LTS-64 bits.
Can you help me

Thank you
Benutzeravatar
vom FViebahn
#1881
Hello VictorJota,

are you using the starting script "./aurorastartv2" which can be found in the following folder: "z88aurorav2/bin/ubuntu64"? It contains the proper library paths for the GEOCON.
I hope this helps.

Regards,
Felix Viebahn
vom VictorJota
#1889
Hi, Felix,

Yes, I'm using to starting the script ./aurorastartv2. Also, I've other pc with Kubuntu 12.10, and I have not this problem, only happens with Ubuntu 12.04.
vom mifris
#1898
Hello VictorJota,

the problem is a missing lib. That occurs only with Ubuntu. Please read therefore another post:

Z88Aurora V2 - Freeware/Installation/Unix/Ubuntu 12.04

There is a description what to do. :D
Best regards,

Michael Frisch
vom VictorJota
#1903
Thank you Michael Frisch,
but I don't know if I am the problem, but don't start.
Also for the version v2-a, the library is in directory of ubuntu64. However I've tried to start in the suse's directory and I have the same problem ¡error GEOCON!. I've revised all the privileges and it's well. I don't understand what happens

Help me please, I'm trying to start a professional service of enginnering only with open source software, and I need this tool

Thank you very much
vom mifris
#1921
Hello VictorJota,

that´s strange. Did you check the libraries? The STEP-Interface, which is based on OpenCASCADE® technology, will also require the following packages:
tcl8.4
tk8.4
Do you have them?

Best regards,

Michael Frisch
vom VictorJota
#1944
Hi Michael again,

Yes I've that library (tcl8.4 and tk8.4). I am exporting from FreeCad in format step. I understand it's very strange, but......it's true.
Note: I've not probed installing tcl and tk or tcl8.5 and tk8.5 or tcl8.4.dev....do you think that is good to do it

Thank you
Benutzeravatar
vom wehmann
#1963
Dear Mr Jota,

maybe the problem is to find at the installation path. Did you install Z88Aurora V2a directly in the home directory, for example "/home/jota/z88aurorav2" ? It is required to use this path.
If this do not solve the problem, please send a screenshot of your terminal containing the error message. Send it either here or to my e-mail adress: christoph.wehmann@uni-bayreuth.de.

Sincerely

Christoph Wehmann
vom VictorJota
#1968
Hi Wehmann

I've installed in the opt directory.
You can see a screenshot below


Thanks
Dateianhänge
scrennshot.png
scrennshot of terminal
scrennshot.png (57.12 KiB) 5093 mal betrachtet
Benutzeravatar
vom mz15
#1984
Dear Mr Jota,

you shold install in the "HOME" directory and start with the script "startaurorav2", so the problem should not occure.

regards
mz15
vom VictorJota
#1999
Hi mz15,

But It's no change. I've the same problem....
I don't know what to do......

Thank you
Benutzeravatar
vom wehmann
#2000
Dear Mr Jota,

did you start the program from the terminal and did you use the script aurorastartv2? The script should be started from the terminal. Please send us a screenshot of the error message using the new directory, too.

Sincerely

Christoph Wehmann
vom jarenio
#2065
Perhaps you do in FreeCAD 3D model of a dxf file and then export the STEP file.
Do not do that. Convert 2D drawing to skechup, and then make it into a 3D model, and export the STEP file.

sorry for my english :)
vom vmajor
#2070
I had the same error.

I had to manually link each library as z88aurora expects *.so.0 while the system linked libraries were named *.so.1

For example my libTKBO.so.0 was named libTKBO.so.1 thus I made another link from libTKBO.so.1.1.0 to libTKBO.so.0

You can link using the terminal and command, or if you are more comfortable with the GUI, open an adimistrator nautilus session with
Code: Alles auswählen
gksu nautilus 
and navigate to /usr/lib

You will see all the libraries there that need to be linked to correspond to the expected *.so.0 format

Dear samshah, what CAD system do you use? Maybe y[…]

Hello Mr. Gillies, the boundary conditions are al[…]

Beispiel2 Kranträger

Vielen Dank für den HInweis, habe zwar alles […]

Vernetzung von .stl-Dateien

Hallo Olegator, es gibt einige Freemesher, welche[…]